#
# spec file for package ocrs
#
# Copyright (c) 2024 mantarimay
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%ifarch s390x
%bcond_with test
%else
%bcond_without test
%endif
Name:           ocrs
Version:        0.8.0
Release:        1.0.4.1.sr20240429
Summary:        A modern OCR engine written in Rust
License:        Apache-2.0 AND MIT
URL:            https://github.com/robertknight/ocrs
Source0:        %{url}/archive/ocrs-v%{version}/ocrs-ocrs-v%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging

%description
ocrs is CLI tool for extracting text from images, also known as OCR
(Optical Character Recognition).

%prep
%autosetup -n ocrs-ocrs-v%{version} -a1 -p1

%build
%{cargo_build}

%install
install -Dm755 target/release/ocrs -t %{buildroot}%{_bindir}

%check
%if %{with test}
%{cargo_test}
%endif

%files
%license LICEN*
%doc README* CHANGELOG.md
%{_bindir}/ocrs

%changelog
* Wed Jun  5 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.8.0
  * Updated rten to v0.10.0: This improves performance when
    recognizing long lines of text and improves efficiency by
    setting the number of threads to match the number of physical
    cores.
  * Errors that occur when running the text recognition model are
    now propagated to the caller instead of causing a panic.
* Sun May 19 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.7.0
  * Updated rten to v0.9.0: This brings a simpler API for loading
    models from disk (Model::load_file) and improves performance.
  * Updated image crate. This includes a much faster JPEG decoder.
  * Re-designed the API for loading images to be easier to use and
    more efficient.
* Wed May 15 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Remove script libocrs
* Wed May 15 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Disable test on s390x because failed at:
  * tests::test_ocr_engine_detect_words
  * tests::test_ocr_engine_recognize_lines
* Thu Apr 11 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Initial package
